Bug 88094 - Unable to sign email in kmail
Unable to sign email in kmail
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
9
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-05 10:50 EST by Dennis Gilmore
Modified: 2007-03-27 00:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-05 08:47:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2003-04-05 10:50:40 EST
Description of problem: 
I have set Kmail to sign my mail and the default inline plugin prompts for my password  but 
rejects the correct password 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1.Create a new mail message 
2. hit send 
3. Fill in prompts for Password 
     
     
Actual results: 
Password incorectly rejected as false	and mail not sent 
 
Expected results: 
password accepted and mail sent 
 
 
Additional info:
Comment 1 Ali-Reza Anghaie 2003-04-13 21:04:25 EDT
Umm. Lots of questions. 
 
Sign your email using ???  GnuPG? 
 
Outside of KMail does GnuPG work fine for you? Any errors or warning when running it from 
CLI? What versions of GnuPG? Kmail? 
 
FYI, Kmail in RHL 9 isn't setup for PGP/MIME and the inline plugin will still do non-RFC 
compliant signatures. But you're not even that far yet... 
Comment 2 Dennis Gilmore 2003-04-14 09:06:28 EDT
Yes signing my email with gnupg.  I have since gotten it working by building the necessary 
packages and adding the necessary plugin.  in the past i have used evolution  but have 
switched to kmail for various reasons.  There seems to be something that is stopping the 
default inline plugin from accepting my password as valid. im using Red Hat packages from 9 
Comment 3 Ali-Reza Anghaie 2003-04-14 09:42:20 EDT
Hrmm. Basic signing (non-RFC-compliant) worked for me fine. I compiled the additional 
packages to get PGP/MIME (didn't worry about S/MIME). I'd suggest closing the bug unless 
you really think you've found something that was repeatable and you'd be able to provide your 
setup (minus key). Cheers, -Ali 
Comment 4 Dennis Gilmore 2003-05-05 08:47:36 EDT
works for other users on the same system.  though i am using packages for
PGP/MIME  now

Note You need to log in before you can comment on or make changes to this bug.